HTTP API

OAuth

GET/oauth/authorize
GET
/oauth/authorize

Query Parameters

response_type?string
client_id?string
redirect_uri?string
code_challenge?string
code_challenge_method?string
scope?string
state?string

Response Body

curl -X GET "https://example.com/oauth/authorize"
Empty
POST/oauth/authorize/complete
POST
/oauth/authorize/complete

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/oauth/authorize/complete" \  -H "Content-Type: application/json" \  -d '{    "login_state": "string"  }'
{  "redirect_to": "string"}
POST/oauth/register
POST
/oauth/register

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/oauth/register" \  -H "Content-Type: application/json" \  -d '{}'
{  "client_id": "string",  "client_id_issued_at": 0,  "client_name": "string",  "grant_types": [    "string"  ],  "redirect_uris": [    "string"  ],  "response_types": [    "string"  ],  "token_endpoint_auth_method": "string"}
POST/oauth/token
POST
/oauth/token

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/oauth/token" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
{  "access_token": "string",  "expires_in": 0,  "scope": "string",  "token_type": "string"}

On this page